- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Friends

# QSessionManager Class Reference

Search for all occurrences

## Detailed Description

Definition at line 60 of file qsessionmanager.h.

`#include <qsessionmanager.h>`

Inheritance diagram for QSessionManager:
[legend]

List of all members.

## Public Types
enum | RestartHint { RestartIfRunning, RestartAnyway, RestartImmediately, RestartNever }
## Public Member Functions
QString | sessionId () const
QString | sessionKey () const
bool | allowsInteraction ()
bool | allowsErrorInteraction ()
void | release ()
void | cancel ()
void | setRestartHint (RestartHint)
RestartHint | restartHint () const
void | setRestartCommand (const QStringList &)
QStringList | restartCommand () const
void | setDiscardCommand (const QStringList &)
QStringList | discardCommand () const
void | setManagerProperty (const QString &name, const QString &value)
void | setManagerProperty (const QString &name, const QStringList &value)
bool | isPhase2 () const
void | requestPhase2 ()
## Friends
class | QApplication
class | QApplicationPrivate
class | QBaseApplication

## Member Enumeration Documentation

enum RestartHint

Search for all occurrences

Enumerator:

  RestartIfRunning | Search for all occurrences
  RestartAnyway | Search for all occurrences
  RestartImmediately | Search for all occurrences
  RestartNever | Search for all occurrences

Definition at line 79 of file qsessionmanager.h.

                         {
            RestartIfRunning,
            RestartAnyway,
            RestartImmediately,
            RestartNever
        };

## Member Function Documentation

QString sessionId | ( |  | ) | const

Search for all occurrences

QString sessionKey | ( |  | ) | const

Search for all occurrences

bool allowsInteraction | ( |  | ) |

Search for all occurrences

bool allowsErrorInteraction | ( |  | ) |

Search for all occurrences

void release | ( |  | ) |

Search for all occurrences

void cancel | ( |  | ) |

Search for all occurrences

void setRestartHint | ( | RestartHint |  | ) |

Search for all occurrences

RestartHint restartHint | ( |  | ) | const

Search for all occurrences

void setRestartCommand | ( | const QStringList & |  | ) |

Search for all occurrences

QStringList restartCommand | ( |  | ) | const

Search for all occurrences

void setDiscardCommand | ( | const QStringList & |  | ) |

Search for all occurrences

QStringList discardCommand | ( |  | ) | const

Search for all occurrences

void setManagerProperty | ( | const QString & | name,
|  | const QString & | value
| ) |  |

Search for all occurrences

void setManagerProperty | ( | const QString & | name,
|  | const QStringList & | value
| ) |  |

Search for all occurrences

bool isPhase2 | ( |  | ) | const

Search for all occurrences

void requestPhase2 | ( |  | ) |

Search for all occurrences

## Friends And Related Function Documentation

friend class QApplication `[friend]`

Search for all occurrences

Reimplemented from QObject.

Definition at line 100 of file qsessionmanager.h.

friend class QApplicationPrivate `[friend]`

Search for all occurrences

Reimplemented from QObject.

Definition at line 101 of file qsessionmanager.h.

friend class QBaseApplication `[friend]`

Search for all occurrences

Definition at line 102 of file qsessionmanager.h.

The documentation for this class was generated from the following file:

- QtGui/qsessionmanager.h

QSessionManager QSessionManager QSessionManager QSessionManager QSessionManager QSessionManager QSessionManager QSessionManager QSessionManager QSessionManager
QSessionManager QSessionManager QSessionManager QSessionManager QSessionManager QSessionManager QSessionManager QSessionManager QSessionManager QSessionManager